# frozen_string_literal: true

module Rails
  module Tc
    module CommandRunner
      def self.init
        `bundle exec srb init 2>&1`
      end

      def self.generate
        system "bundle exec tapioca gem"
        system "bundle exec tapioca dsl"
      end

      def self.type_check
        `bundle exec srb tc 2>&1`
      end

      def self.add_development_gem(gem)
        system "bundle add #{gem} --group development" unless gem_installed?(gem)
      end

      def self.add_runtime_gem(gem)
        system "bundle add #{gem}" unless gem_installed?(gem)
      end

      def self.gem_installed?(gem)
        `bundle show`.scan(/^\s*\*\s*([^\s]+).*/).map(&:first).include? gem
      end
    end
  end
end
