# frozen_string_literal: true

module Rails
  module Tc
    class TypeCheckerError
      attr_reader :filename, :message, :line, :code, :notes

      def initialize(filename, line, code, message)
        @filename = filename
        @line = line
        @code = code
        @message = message
        @notes = []
      end

      def to_s
        "#{filename}:#{line}: #{message} https://srb.help/#{code}\n#{notes.join("\n")}"
      end
    end
  end
end
